Bug 1207627 - BitRot :- Data scrubbing status is not available
Summary: BitRot :- Data scrubbing status is not available
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: bitrot
Version: mainline
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Satish Mohan
QA Contact:
bugs@gluster.org
URL:
Whiteboard:
Depends On:
Blocks: 1283881
TreeView+ depends on / blocked
 
Reported: 2015-03-31 10:54 UTC by Rachana Patel
Modified: 2016-06-16 12:46 UTC (History)
5 users (show)

Fixed In Version: glusterfs-3.8rc2
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1224226 1283881 (view as bug list)
Environment:
Last Closed: 2016-06-16 12:46:47 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Rachana Patel 2015-03-31 10:54:53 UTC
Description of problem:
=======================
Data scrubbing status is not available.


Version-Release number of selected component (if applicable):
=============================================================
0.803.gitf64666f.el6.x86_64

How reproducible:
=================
always

Actual Result:-
===============
Admin is unable to check Data scrubbing status. CLI is not available and nothing is reported in log.

Expect Result:-
===============
Scrub status output:-

# gluster volume bitrot <volname> scrub status

State of scrub: active/inactive/paused
Scrub Impact: Aggressive, Normal, Lazy, Frozen
Scrub Frequency: Monthly, bi-weekly, weekly
Number of scrubbed files:
Number of unsigned files:
Last completed scrub time:
Duration of last scrub:
Errors: Count
Error Log Location

Comment 1 Anand Avati 2015-04-14 09:59:16 UTC
REVIEW: http://review.gluster.org/10231 (glusterd: cli command implementation for bitrot scrub status) posted (#1) for review on master by Gaurav Kumar Garg (ggarg@redhat.com)

Comment 3 Gaurav Kumar Garg 2015-04-30 11:23:38 UTC
Since "scrub status" is not for 3.7, we'll probably work on this post 3.7 release.

Comment 4 Nagaprasad Sathyanarayana 2015-05-03 02:24:58 UTC
As per comment #3, scrub status is not included in 3.7.0 release. Hence removing it from the tracker.

Comment 5 Vijay Bellur 2015-10-13 10:10:28 UTC
REVIEW: http://review.gluster.org/10231 (glusterd: cli command implementation for bitrot scrub status) posted (#2) for review on master by Gaurav Kumar Garg (ggarg@redhat.com)

Comment 6 Vijay Bellur 2015-10-29 15:01:56 UTC
REVIEW: http://review.gluster.org/10231 (glusterd: cli command implementation for bitrot scrub status) posted (#3) for review on master by Gaurav Kumar Garg (ggarg@redhat.com)

Comment 7 Vijay Bellur 2015-11-03 15:53:38 UTC
REVIEW: http://review.gluster.org/10231 (glusterd: cli command implementation for bitrot scrub status) posted (#4) for review on master by Gaurav Kumar Garg (ggarg@redhat.com)

Comment 8 Vijay Bellur 2015-11-16 05:49:13 UTC
REVIEW: http://review.gluster.org/10231 (glusterd: cli command implementation for bitrot scrub status) posted (#7) for review on master by Venky Shankar (vshankar@redhat.com)

Comment 9 Vijay Bellur 2015-11-17 14:56:28 UTC
REVIEW: http://review.gluster.org/10231 (glusterd: cli command implementation for bitrot scrub status) posted (#8) for review on master by Gaurav Kumar Garg (ggarg@redhat.com)

Comment 10 Vijay Bellur 2015-11-18 10:39:26 UTC
REVIEW: http://review.gluster.org/10231 (glusterd: cli command implementation for bitrot scrub status) posted (#9) for review on master by Gaurav Kumar Garg (ggarg@redhat.com)

Comment 11 Vijay Bellur 2015-11-18 10:47:57 UTC
REVIEW: http://review.gluster.org/10231 (glusterd: cli command implementation for bitrot scrub status) posted (#10) for review on master by Gaurav Kumar Garg (ggarg@redhat.com)

Comment 12 Vijay Bellur 2015-11-18 16:34:44 UTC
REVIEW: http://review.gluster.org/10231 (glusterd: cli command implementation for bitrot scrub status) posted (#11) for review on master by Gaurav Kumar Garg (ggarg@redhat.com)

Comment 13 Vijay Bellur 2015-11-19 05:39:24 UTC
REVIEW: http://review.gluster.org/12503 (features/bit-rot: stub changes for showing bad objects in status) posted (#3) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

Comment 14 Vijay Bellur 2015-11-19 05:39:27 UTC
REVIEW: http://review.gluster.org/12654 (features/bit-rot: scrubber changes for getting the list of bad objects from stub) posted (#1) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

Comment 15 Vijay Bellur 2015-11-19 09:01:00 UTC
REVIEW: http://review.gluster.org/10231 (glusterd: cli command implementation for bitrot scrub status) posted (#12) for review on master by Gaurav Kumar Garg (ggarg@redhat.com)

Comment 16 Vijay Bellur 2015-11-19 10:01:06 UTC
REVIEW: http://review.gluster.org/12503 (features/bit-rot: stub changes for showing bad objects in status) posted (#4) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

Comment 17 Vijay Bellur 2015-11-19 10:01:10 UTC
REVIEW: http://review.gluster.org/12654 (features/bit-rot: scrubber changes for getting the list of bad objects from stub) posted (#2) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

Comment 18 Vijay Bellur 2015-11-19 11:24:51 UTC
REVIEW: http://review.gluster.org/10231 (glusterd: cli command implementation for bitrot scrub status) posted (#13) for review on master by Gaurav Kumar Garg (ggarg@redhat.com)

Comment 19 Vijay Bellur 2015-11-20 03:26:45 UTC
REVIEW: http://review.gluster.org/12503 (features/bit-rot: stub changes for showing bad objects in status) posted (#5) for review on master by Venky Shankar (vshankar@redhat.com)

Comment 20 Vijay Bellur 2015-11-20 03:26:49 UTC
REVIEW: http://review.gluster.org/12654 (features/bit-rot: scrubber changes for getting the list of bad objects from stub) posted (#3) for review on master by Venky Shankar (vshankar@redhat.com)

Comment 21 Vijay Bellur 2015-11-20 03:41:47 UTC
COMMIT: http://review.gluster.org/10231 committed in master by Atin Mukherjee (amukherj@redhat.com) 
------
commit 097e131481d25e5b1f859f4ea556b8bf56155472
Author: Gaurav Kumar Garg <ggarg@redhat.com>
Date:   Wed Mar 25 18:07:24 2015 +0530

    glusterd: cli command implementation for bitrot scrub status
    
    CLI command  for bitrot scrub status will be :
    
    gluster volume bitrot <volname> scrub status
    
    Above command will show the statistics of bitrot scrubber.
    
    Upon execution of this command it will show some common
    scrubber tunable value of volume <VOLNAME> followed by
    statistics of scrubber statistics of individual nodes.
    
    sample ouput for single node:
    
    Volume name : <VOLNAME>
    
    State of scrub: Active
    
    Scrub frequency: biweekly
    
    Bitrot error log location: /var/log/glusterfs/bitd.log
    
    Scrubber error log location: /var/log/glusterfs/scrub.log
    
    =========================================================
    
    Node name:
    
    Number of Scrubbed files:
    
    Number of Unsigned files:
    
    Last completed scrub time:
    
    Duration of last scrub:
    
    Error count:
    
    =========================================================
    
    This is just infrastructure. list of bad file, last scrub
    time, error count value will be taken care by
    http://review.gluster.org/#/c/12503/  and
    http://review.gluster.org/#/c/12654/ patches.
    
    Change-Id: I3ed3c7057c9d0c894233f4079a7f185d90c202d1
    BUG: 1207627
    Signed-off-by: Gaurav Kumar Garg <ggarg@redhat.com>
    Reviewed-on: http://review.gluster.org/10231
    Reviewed-by: Atin Mukherjee <amukherj@redhat.com>
    Tested-by: NetBSD Build System <jenkins@build.gluster.org>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>

Comment 22 Vijay Bellur 2015-11-20 09:36:29 UTC
REVIEW: http://review.gluster.org/12503 (features/bit-rot: stub changes for showing bad objects in status) posted (#6) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

Comment 23 Vijay Bellur 2015-11-20 09:36:33 UTC
REVIEW: http://review.gluster.org/12654 (features/bit-rot: scrubber changes for getting the list of bad objects from stub) posted (#4) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

Comment 24 Vijay Bellur 2015-11-22 13:06:50 UTC
REVIEW: http://review.gluster.org/12654 (features/bit-rot: scrubber changes for getting the list of bad objects from stub) posted (#5) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

Comment 25 Vijay Bellur 2015-11-22 13:19:13 UTC
REVIEW: http://review.gluster.org/12503 (features/bit-rot: stub changes for showing bad objects in the status) posted (#7) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

Comment 26 Vijay Bellur 2015-11-22 13:19:16 UTC
REVIEW: http://review.gluster.org/12654 (features/bit-rot: scrubber changes for getting the list of bad objects from stub) posted (#6) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

Comment 27 Vijay Bellur 2015-11-23 04:02:41 UTC
COMMIT: http://review.gluster.org/12503 committed in master by Venky Shankar (vshankar@redhat.com) 
------
commit 26abf56130c37bb47676658c0a0211164f05ed24
Author: Raghavendra Bhat <raghavendra@redhat.com>
Date:   Mon Nov 2 11:43:12 2015 +0530

    features/bit-rot: stub changes for showing bad objects in the status
    
    Change-Id: If905132f6f1df4aebd9ab255e1e8c59902f84fe5
    BUG: 1207627
    Signed-off-by: Raghavendra Bhat <raghavendra@redhat.com>
    Reviewed-on: http://review.gluster.org/12503
    Tested-by: NetBSD Build System <jenkins@build.gluster.org>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Venky Shankar <vshankar@redhat.com>

Comment 28 Vijay Bellur 2015-11-23 07:20:11 UTC
COMMIT: http://review.gluster.org/12654 committed in master by Venky Shankar (vshankar@redhat.com) 
------
commit f12efd1827077292eba08a109d212a25c62476fe
Author: Raghavendra Bhat <raghavendra@redhat.com>
Date:   Tue Nov 17 14:45:30 2015 +0530

    features/bit-rot: scrubber changes for getting the list of bad objects from stub
    
    Change-Id: I62885e4aba4a9b345db3c78c3291d563ff3d3567
    BUG: 1207627
    Signed-off-by: Raghavendra Bhat <raghavendra@redhat.com>
    Reviewed-on: http://review.gluster.org/12654
    Tested-by: NetBSD Build System <jenkins@build.gluster.org>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Venky Shankar <vshankar@redhat.com>

Comment 29 Vijay Bellur 2015-11-23 11:35:50 UTC
REVIEW: http://review.gluster.org/12720 (glusterd/bitrot : Integration of bad files from bitd with scrub status command) posted (#1) for review on master by Gaurav Kumar Garg (ggarg@redhat.com)

Comment 30 Vijay Bellur 2015-11-23 12:01:09 UTC
REVIEW: http://review.gluster.org/12720 (glusterd/bitrot : Integration of bad files from bitd with scrub status command) posted (#2) for review on master by Gaurav Kumar Garg (ggarg@redhat.com)

Comment 31 Vijay Bellur 2015-11-23 13:15:45 UTC
REVIEW: http://review.gluster.org/12720 (glusterd/bitrot : Integration of bad files from bitd with scrub status command) posted (#3) for review on master by Gaurav Kumar Garg (ggarg@redhat.com)

Comment 32 Vijay Bellur 2015-11-23 13:32:12 UTC
REVIEW: http://review.gluster.org/12720 (glusterd/bitrot : Integration of bad files from bitd with scrub status command) posted (#4) for review on master by Gaurav Kumar Garg (ggarg@redhat.com)

Comment 33 Vijay Bellur 2015-11-23 14:21:55 UTC
REVIEW: http://review.gluster.org/12720 (glusterd/bitrot : Integration of bad files from bitd with scrub status command) posted (#5) for review on master by Gaurav Kumar Garg (ggarg@redhat.com)

Comment 34 Vijay Bellur 2015-11-24 03:23:55 UTC
REVIEW: http://review.gluster.org/12720 (glusterd/bitrot : Integration of bad files from bitd with scrub status command) posted (#6) for review on master by Gaurav Kumar Garg (ggarg@redhat.com)

Comment 35 Vijay Bellur 2015-11-24 06:25:51 UTC
COMMIT: http://review.gluster.org/12720 committed in master by Atin Mukherjee (amukherj@redhat.com) 
------
commit 4348a6af89085cbdb41963f828b88deee4a109f1
Author: Gaurav Kumar Garg <garg.gaurav52@gmail.com>
Date:   Mon Nov 23 17:00:07 2015 +0530

    glusterd/bitrot : Integration of bad files from bitd with scrub status command
    
    Currently scrub status command is not displaying list of all the bad files. All
    the bad files are avaliable in the bitd daemon.
    
    With this patch it will dispaly list of all the bad file's in the scrub
    status command.
    
    Change-Id: If09babafaf5d7cf158fa79119abbf5b986027748
    BUG: 1207627
    Signed-off-by: Gaurav Kumar Garg <ggarg@redhat.com>
    Reviewed-on: http://review.gluster.org/12720
    Tested-by: NetBSD Build System <jenkins@build.gluster.org>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Atin Mukherjee <amukherj@redhat.com>

Comment 37 Niels de Vos 2016-06-16 12:46:47 UTC
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.8.0, please open a new bug report.

glusterfs-3.8.0 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://blog.gluster.org/2016/06/glusterfs-3-8-released/
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user


Note You need to log in before you can comment on or make changes to this bug.